CGXSET(1)

NAME
cgxset - set the parameters of given cgroup(s)

SYNOPSIS
cgxset [-1] [-2] [-i] [-r <name=value>] <cgroup_path> ...
cgxset --copy-from <source_cgroup_path> <cgroup_path> ...

DESCRIPTION
Set the parameters of input cgroups. When the request's cgroup version differs from the system's cgroup version, cgxset will attempt to translate from one version to the other. If the request version and the system's version are the same, no translation is done and cgxset will behave like cgset. If no version is specified by the user (either [-1] or [-2]) and the [-r] flag is specified, the behavior is undefined. --copy-from does not require the cgroup version to be specified.

<path>
    is the name of the cgroup which should be changed. This parameter can be used multiple times.

-1, --v1
    data in/out of cgxset is in cgroup v1 format. In this mode, the user will provide values in cgroup v1 format and receive values in v1 format. format. If the system is running in cgroup v2 mode, libcgroup will convert the data as necessary

-2, --v2
    data in/out of cgxset is in cgroup v2 format. In this mode, the user will provide values in cgroup v2 format and receive values in v2 format. If the system is running in cgroup v1 mode, libcgroup will convert the data as necessary

-i, --ignore-unmappable
    ignore errors for values that cannot be converted from v1 to v2 or vice versa

-r <name=value>
    defines the name of the file to set and the value which should be written to that file. This parameter can be used multiple times.

--copy-from <source_cgroup_path>
    defines the name of the cgroup whose parameters will be copied to the input cgroup.

ENVIRONMENT VARIABLES

CGROUP_LOGLEVEL
    controls verbosity of the tool. Allowed values are DEBUG, INFO, WARNING or ERROR.

EXAMPLES

cgxset -1 -r cpuset.cpus=0-1 student
    set variable cpus in control group student (controller cpuset) to 0-1

cgxset -2 -r cpu.weight=42 first
    set variable weight in control group first (controller cpu) to 42

cgxset --copy-from group1/ group2/
    copy all parameters of group group1 to group group2 (for all path where both cgroups are defined)

SEE ALSO
cgrules.conf (1), cgcreate (1), cgget (1), cgset (1), cgxget (1)